For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTCreate an API token
      • DELDelete an API token
      • GETGet an API token
      • GETList API tokens
      • POSTRotate API token
      • POSTUpdate an API token
      • POSTUpdate API token roles
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceAPI Token

Update API token roles

POST
https://api.astronomer.io/v1/organizations/:organizationId/tokens/:tokenId/roles
POST
/v1/organizations/:organizationId/tokens/:tokenId/roles
$curl -X POST https://api.astronomer.io/v1/organizations/organizationId/tokens/tokenId/roles \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "roles": [
> {
> "entityId": "clm8sgvai000008l794psbkdv",
> "entityType": "WORKSPACE",
> "role": "WORKSPACE_MEMBER"
> }
> ]
>}'
1{
2 "dagRoles": [
3 {
4 "deploymentId": "clm8t5u4q000008jq4qoc3031",
5 "role": "DAG_VIEWER",
6 "dagId": "my_dag",
7 "dagTag": "team-a"
8 }
9 ],
10 "deploymentRoles": [
11 {
12 "deploymentId": "clm8t5u4q000008jq4qoc3031",
13 "role": "DEPLOYMENT_ADMIN"
14 }
15 ],
16 "organizationRole": "ORGANIZATION_OWNER,ORGANIZATION_OBSERVE_ADMIN,ORGANIZATION_OBSERVE_MEMBER,ORGANIZATION_BILLING_ADMIN,ORGANIZATION_MEMBER",
17 "workspaceRoles": [
18 {
19 "role": "WORKSPACE_MEMBER",
20 "workspaceId": "clm8t5u4q000008jq4qoc3036"
21 }
22 ]
23}
Update Workspace and Organization roles for an API token.
Was this page helpful?
Previous

List authorization permission groups

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization where you want to update an API token.
tokenIdstringRequired
The API token you want to update.

Request

The request body for updating a token.
roleslist of objectsRequired
The roles of the API token, including DAG roles.

Response

OK
dagRoleslist of objects
A list of the subject's DAG roles.
deploymentRoleslist of objects
A list of the subject's Deployment roles. Currently only for API tokens.
organizationRolestring
The subject's Organization role.
workspaceRoleslist of objects
A list of the subject's Workspace roles.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error